#
# spec file for package unetbootin
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define rev 613

Name:           unetbootin
Summary:        Universal Netboot Installer
License:        GPL-2.0+
Group:          System/GUI/Other
Version:        0.0.%{rev}
Release:        6.4
Url:            https://sourceforge.net/projects/unetbootin/
Source:         %{name}-source-%{rev}.tar.gz
Patch0:         %{name}-suse.patch
Patch1:         %{name}-locate-usb-devices.diff
Patch2:         %{name}-desktop.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gcc-c++
BuildRequires:  libqt4-devel
BuildRequires:  hicolor-icon-theme
Requires:       mtools
Requires:       p7zip
Requires:       syslinux
Requires:       udev
Requires:       util-linux
Requires:       xdg-utils
Requires:       hicolor-icon-theme
%if 0%{?suse_version} == 1230
BuildRequires:  libjpeg8-devel
%endif

%description
UNetbootin allows for the installation of various Linux/BSD distributions
to a partition or USB drive, so it's no different from a standard install,
only it doesn't need a CD. It can create a dual-boot install,
or replace the existing OS entirely.

%prep
%setup -q -c -n %{name}
%patch0 -p1
%patch1 -p1
%patch2 -p0
# rpmlint: wrong-file-end-of-line-encoding
sed -i 's/\r$//' README.TXT

%build
lupdate unetbootin.pro
lrelease unetbootin.pro
qmake QMAKE_CXXFLAGS="%optflags" "DEFINES += NOSTATIC" "RESOURCES -= unetbootin.qrc"
make %{?_smp_mflags}

%install
install -D -m 0755 %{name} %{buildroot}%{_sbindir}/%{name}
install -d -m 0755 %{buildroot}%{_datadir}/%{name}
install -D -m 0644 unetbootin_*.qm %{buildroot}%{_datadir}/%{name}

for i in 16 22 24 32 48 64 128 192 256 ; do
  install -D -m 0644 unetbootin_"$i".png %buildroot%{_datadir}/icons/hicolor/"$i"x"$i"/apps/%{name}.png;
done

install -D -m 0644 %{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%defattr(-,root,root)
%doc README.TXT
%{_sbindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png

%changelog
* Tue Aug 11 2015 joerg.lorenzen@ki.tng.de
- update to revision 613
- removed source file unetbootin.desktop and added patch
  unetbootin-desktop.patch to install original desktop file
- build with %%optflags
- some clean ups in specfile
* Thu Jan 15 2015 hpj@urpla.net
- slightly clean up unetbootin-locate-usb-devices.diff patch
* Thu Dec 11 2014 hpj@urpla.net
- locate usb drives via /dev/disk/py-path in order to workaround
  udev issues
* Sun Nov  9 2014 ecsos@opensuse.org
- change selectable openSUSE versions only to supported versions:
  12.3, 13.1, 13.2, Tumbleweed, Factory
* Sun Sep  7 2014 ecsos@schirra.net
- update to 6.0.8
* Mon May  5 2014 ecsos@schirra.net
- update to 6.0.3
- add unetbootin.desktop
- rework suse patch
* Wed Jul 17 2013 chris@computersalat.de
- update to 585
- rework suse patch
* Sat May 26 2012 jengelh@inai.de
- Remove redundant tags/sections from specfile
* Fri May 11 2012 chris@computersalat.de
- update to 575
- rework suse patch
* Wed Jun  1 2011 prusnak@opensuse.org
- updated to 549
* Thu Mar 24 2011 chris@computersalat.de
- update to 506
- reworked suse patch
* Sat Feb  5 2011 chris@computersalat.de
- update to 502
* Fri Oct 22 2010 chris@computersalat.de
- update to revision 494
- added suse patch
* Mon Apr 26 2010 prusnak@suse.cz
- updated to revision 433
* Mon Oct  5 2009 prusnak@suse.cz
- updated to revision 372
* Mon Jun 15 2009 prusnak@suse.cz
- updated to revision 356
* Mon Jun  1 2009 prusnak@suse.cz
- updated to revision 344
* Wed Dec 10 2008 prusnak@suse.cz
- updated to revision 301
* Mon Aug 18 2008 prusnak@suse.cz
- created package - revision 272
